<?php
/**
 * @package rokbox
 * @subpackage plg_roknavmenu_rokbox
 * @version 2.4 August 10, 2010
 * @author RocketTheme http://www.rockettheme.com
 * @copyright Copyright (C) 2007 - 2010 RocketTheme, LLC
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 **/
// no direct access
defined('_JEXEC') or die('Restricted access');

/**
 * @package rokbox
 * @subpackage plg_roknavmenu_rokbox
 */
class plgRokNavMenuRokBox extends JPlugin 
{	
	var $type = 69;
	var $description = "PLG.ROKNAVMENU.ROKBOX.POPUP";
	
	function plgRokNavMenuRokBox(&$subject, $config)
	{
		parent::__construct($subject, $config);
		$this->loadLanguage( '', JPATH_ADMINISTRATOR );
	}
	
	function getType() {
		return $this->type;
	}
	
	function getDescription() {
		return $this->description;
	}
	
	function onRokNavMenuRegisterDisplayType(&$click) {
		$click[]= JHTML::_('select.option',  $this->type, JText::_( $this->description ) );
	}
	
	function onRokNavMenuRegisterParamsFile(&$param_files){
		$param_files['PLG.ROKNAVMENU.PARAMTERS.ROKBOX']=dirname(__FILE__).DS.'rokbox'.DS.'params.xml';
	}
	
	function onRokNavMenuModifyLink(&$node, &$menu_params) {
		if ($node->displayType == $this->type) {
			$width = (int)$node->_params->get('rokbox-plugin-width', 800);
			$height = (int)$node->_params->get('rokbox-plugin-height', 600);
			$album = $node->_params->get('rokbox-plugin-album', '');
			$fullscreen = (int)$node->_params->get('rokbox-plugin-fullscreen', 0);
			
			$rel = "rokbox";
			if ($width && $height && !$fullscreen) $rel .= "[$width $height]";
			if ($fullscreen) $rel .= "[fullscreen]";
			if (strlen($album)) $rel .= "($album)";

			$node->addLinkAttrib('rel', $rel);
		}
	}
}